<template>
    <div>
        <div id="video-container">
            <video playsinline autoplay muted loop poster="{{ asset('assets/videos/videopreload.png') }}"
                   src="@/assets/videos/landing.webm"></video>
            <div id="main-launch-container">
                <div id="main-launch">
                    <div id="main-title"><h1>Undercover</h1></div>
                    <div id="main-undertitle"><h2>Jeu de l'undercover en ligne multijoueur</h2></div>
                    <div id="main-playbutton" data-aos="fade-in">
                        <a href="/jouer">
                            <button class="launchgame">Créer une partie</button>
                        </a></div>
                </div>
            </div>
        </div>
        <div id="main-description">
            <div id="main-view">
                <div id="left-homepage" data-aos="fade-right">
                    <img alt="Undercover jeu en ligne" src="@/assets/images/home/ordi.gif"/>
                </div>
                <div id="right-homepage" data-aos="fade-left">
                    <div id="undercover-pres">
                        <div id="undercover-pres-title">
                            <h1>Undercovergame</h1>
                            <h2>Plutôt détective ou manipulateur ?</h2>
                        </div>

                        <p>Parmis tes amis se cache <b>Mr White</b> et surement un ou plusieurs <b>Undercovers</b>.
                            <br>Leur mission est d'éssayer de se fondre dans la masse.
                            <br>A la fin de chaques tour le village procède aux votes<br>
                            Trouve le <b>Mr.White</b> ainsi que tous les <b>Undercovers</b> et remporte la partie</p>
                    </div>
                </div>
            </div>
        </div>
        <div id="main-personalise">
            <div id="top-word-container">
                <div id="top-word">Bande Organisé</div>
                <div id="role">CIVIL</div>
            </div>
            <div id="personalise-title">
                <h4>Le jeu en ligne est rempli de mots actuelle et fun </h4>
                <p>Le jeu aborde tous les thèmes possible afin d'éviter la répétition de jeu<br>
                    Nous pouvons donc passer sur le thème du jeux videos au rap en passant par la culture générale<br>
                    Le jeu est mis à jours le plus souvent possible, mais tu peux aussi nous aider en proposant des
                    mots.</p>
                <a href="{{ path('undercover_contribute') }}">
                    <button id="add-word">Proposer un mot</button>
                </a>
            </div>
        </div>
        <div id="main-skin-container">
            <h4>Gagne des skins en jouant des parties</h4>
            <div id="main-skin">
                <div id="skin-left">
                    <div id="skin-selector-preview">
                        <div id="skin-preview"></div>
                    </div>
                </div>
                <div id="skin-right" data-aos="fade-left">
                    <h2>Personnalise ton avatar</h2><br>
                    <p>Vous pouvez chosir votre skin avant chaque partie<br>
                        Plus vous <b>faites de parties</b>, plus vous avez de la chance de <b>gagner des skins</b> en
                        récompense.<br><br>
                        Il sera également possible d'acheter des skins dans un futur proche.<br>
                        Nos espions nous ont dit qu'un skin etait offert après ta première game</p>
                </div>
            </div>
        </div>
        <div id="main-editgame">
            <h4>Personnalise ta partie avec tes amis</h4>
            <div id="edit-role-container">
                <div class="editrole" data-aos="zoom-in">
                    <img draggable="false" src="@/assets/images/form/civils.svg" alt=""/>
                    <p id="role1">Civils</p>
                </div>
                <div class="editrole" data-aos="zoom-in" data-aos-delay="50">
                    <img draggable="false" src="@/assets/images/form/white.svg" alt=""/>
                    <p id="role2">Mr White</p>
                </div>
                <div class="editrole" data-aos="zoom-in" data-aos-delay="100">
                    <img draggable="false" src="@/assets/images/form/undercover.svg" alt=""/>
                    <p id="role3">Undercover</p>
                </div>
            </div>
            <p>
                Vous pouvez ajouter un Mr White ou des Undercovers en plus, il vous suffit de paramètrer la partie à
                votre envie.<br>
                N'oubliez pas que la partie se complique pour les civils lorsque vous ajoutez des rôles
            </p>
        </div>
    </div>
</template>

<script>
export default {
    
}
</script>

<style scoped>
    #video-container {
        position: relative;
    }

    #video-container video {
        width: 100%;
        border: 0;
        object-fit: cover;
        position: relative;
        z-index: 0;
    }


    #main-launch-container {
        position: absolute;
        right: 0;
        width: 50%;
        height: 100%;
        top: 0;
        display: flex;
        z-index: 1;
    }

    #main-launch {
        width: 100%;
        justify-content: center;
        align-items: center;
        display: flex;
        flex-direction: column;
        color: white;
    }

    #main-title {
        width: 100%;
        justify-content: center;
        align-items: center;
        display: flex;
        color: white;
        text-transform: uppercase;
    }

    #main-title h1 {
        font-size: 5vw;
        font-weight: bold;
        font-family: 'Finger Paint', cursive;
        text-shadow: 4px 3px 0 #050e3d, 7px 5px 2px rgba(0, 0, 0, 0);
        margin: 0;
    }


    #main-undertitle {
        width: 100%;
        justify-content: center;
        align-items: center;
        display: flex;
        color: white;
        padding: 30px;
        text-transform: uppercase;
    }

    #main-undertitle h2 {
        font-size: 1vw;
        font-weight: bold;
        font-family: 'Rubik', sans-serif;
        text-shadow: 0 0 10px #000000, -4px 17px 0 rgba(0, 0, 0, 0);
    }

    #main-playbutton {
        color: black;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .launchgame {
        padding: 20px 60px;
        margin-top: 2vh;
        animation: pulse 2s infinite;
        border: 0;
        border-radius: 10px;
        outline: none;
        background: white;
        color: black;
        font-weight: bold;
        text-transform: uppercase;
        transition: all 0.2s;
    }

    .launchgame:hover {
        background: #2d2a3e;
        color: white;
    }

    @keyframes pulse {
        0% {
            transform: scale(0.95);
        }

        70% {
            transform: scale(1);
            box-shadow: 0 0 10px 5px #1d121d54;
        }

        100% {
            transform: scale(0.95);
        }
    }


    #main-description {
        width: 100%;
        color: black;
        height: 70vh;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    #main-view {
        max-width: 80%;
        color: black;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    #left-homepage {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 50%;
        flex-direction: column;
    }

    #left-homepage img {
        width: 100%;
    }

    #right-homepage {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        padding: 50px;
    }

    #main-description h1 {
        font-size: 3vw;
        font-weight: bold;
    }

    #main-description h2 {
        font-size: 1.5vw;
        font-weight: bold;
    }

    #undercover-pres {
        width: 100%;
        text-align: left;
    }

    #undercover-pres-title {
        margin-bottom: 50px;
    }


    #main-personalise {
        width: 100%;
        position: relative;
        color: black;
        display: flex;
        justify-content: center;
        background: #0a0717;
        min-height: 70vh;
    }


    #top-word-container {
        width: 100%;
        position: absolute;
        top: -15px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    #top-word {
        padding: 10px 50px;
        background: #191139;
        color: white;
        font-size: 30px;
        border-radius: 15px;
        min-width: 230px;
        text-align: center;
        text-transform: uppercase;
        font-weight: bold;
        display: flex;
        align-items: center;
        justify-content: center;
        letter-spacing: 1.5px;
        position: relative;
        box-shadow: 0 15px 10px -15px black;
    }

    #role {
        padding: 8px 40px 5px 40px;
        font-size: 18px;
        border-radius: 0 0 8px 8px;
        text-transform: uppercase;
        font-weight: bold;
        letter-spacing: 1.5px;
        background: #26538c;
        color: white;
    }


    #personalise-title {
        color: white;
        display: flex;
        padding: 0 10px;
        justify-content: center;
        text-align: center;
        align-items: center;
        font-family: Ubuntu, 'sans-serif';
        flex-direction: column;
    }

    #personalise-title h4 {
        color: white;
        font-size: 40px;
        margin-bottom: 80px;
    }

    #personalise-title p {
        color: #d2d2d2;
        font-size: 18px;
    }

    #add-word {
        border-radius: 10px;
        padding: 15px 60px;
        width: 300px;
        margin-top: 100px;
        border: 0;
        outline: none;
        background: #191139;
        color: white;
        text-transform: uppercase;
        transition: all 0.2s;
    }

    #add-word:hover {
        background: #383056;
    }

    #main-skin-container {
        height: 70%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        background: radial-gradient(circle, rgba(255, 255, 255, 1) 0%, rgb(255 255 255 / 35%) 96%), url('~@/assets/images/home/forest2.svg') no-repeat;
        background-size: cover;
        background-position: center center;
    }

    #main-skin {
        display: flex;
        margin-top: 30px;
        align-items: center;
        flex-direction: row;
        width: 60%;
        justify-content: space-evenly;
    }

    #skin-left {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #skin-right {
        justify-content: center;
        align-items: center;
        border-bottom: solid 1px #bfbfbf;
        padding: 20px 0
    }

    #skin-right h2 {
        font-weight: bold;
    }

    #main-skin-container h4 {
        color: #241f38;
        font-size: 40px;
        font-weight: bold;
    }

    #skin-selector-preview {
        width: 200px;
        height: 400px;
        display: flex;
        justify-content: center;
        background: url('https://cdn.discordapp.com/attachments/775414438924779570/776187008518979614/plateform.png') no-repeat;
        background-size: 130px;
        background-position: center bottom;
        animation: float 6s ease-in-out infinite;
    }

    #skin-preview {
        width: 100px;
        height: 400px;
        display: flex;
        justify-content: center;
        background: url('~@/assets/images/home/Girls.svg') no-repeat;
        background-size: 1000px;
        background-position: -710px 20px;
        animation: defilement 10s infinite;
    }


    @keyframes defilement {
        0% {
            background-position: -25px 20px;
        }
        19% {
            background-position: -25px 20px;
        }

        22% {
            background-position: -200px 20px;
        }
        39% {
            background-position: -200px 20px;
        }

        42% {
            background-position: -365px 20px;
        }
        59% {
            background-position: -365px 20px;
        }

        62% {
            background-position: -540px 20px;
        }
        79% {
            background-position: -540px 20px;
        }


        82% {
            background-position: -710px 20px;
        }
        100% {
            background-position: -710px 20px;
        }
    }

    @keyframes float {
        0% {
            transform: translatey(0px);
        }
        50% {
            transform: translatey(-10px);
        }
        100% {
            transform: translatey(0px);
        }
    }


    #main-editgame {
        width: 100%;
        position: relative;
        display: flex;
        text-align: center;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        color: white;
        background: #0a0717;
        min-height: 70vh;
    }

    #main-editgame h4 {
        font-size: 40px;
        font-weight: bold;
    }


    #edit-role-container {
        width: 80%;
        display: flex;
        justify-content: center;
        margin-bottom: 50px;
        margin-top: 50px;
        align-items: center;
        flex-direction: row
    }

    .editrole {
        width: 200px;
        height: 200px;
        background: #161225;
        border-radius: 200px;
        margin: 50px;
        align-items: center;
        display: flex;
        justify-content: center;
        transition: all 0.2s;
        position: relative;
    }

    .editrole p {
        position: absolute;
        bottom: -5px;
        display: none;
    }

    .editrole img {
        width: 80%;
    }

</style>